/* Copyright (C) 2004 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

#include_next <float.h>

#ifndef _ISOMAC

#ifndef QUAD_MANT_DIG
#define QUAD_MANT_DIG	113
#endif

#ifndef QUAD_DIG
#define QUAD_DIG	33
#endif

#ifndef QUAD_MIN_EXP
#define QUAD_MIN_EXP	(-16381)
#endif

#ifndef QUAD_MIN_10_EXP
#define QUAD_MIN_10_EXP	(-4931)
#endif

#ifndef QUAD_MAX_EXP
#define QUAD_MAX_EXP	16384
#endif

#ifndef QUAD_MAX_10_EXP
#define QUAD_MAX_10_EXP	4932
#endif

#ifndef QUAD_MAX_10_EXP_LOG
#define QUAD_MAX_10_EXP_LOG	12
#endif

#endif	/* _ISOMAC */
